<mat-expansion-panel [expanded]="(simulatorData !== null)" [disabled]="!simulatorData">
  <mat-expansion-panel-header>
    <mat-panel-title>
      <span>Instance Simulation</span>
    </mat-panel-title>
    <mat-panel-description>
      <mat-icon>mediation</mat-icon>
    </mat-panel-description>

  </mat-expansion-panel-header>
  <ng-template matExpansionPanelContent>
    <mat-divider></mat-divider>
    <div>
      <div class="simulator-header">
        <h3>Training Instance Simulation</h3>
        <!-- Do NOT count the START and FINISH node. Therefore subtraction by 2 -->
        <span class="simulator-info">Trainees visited {{ simulatorData.nodes.length - 1}} task(s)</span>
      </div>
      <div class="simulator-content">
        <lib-kypo-sankey-visualization-lib [trainingInstanceId]="0" [graphData]="simulatorData"></lib-kypo-sankey-visualization-lib>
      </div>
    </div>
  </ng-template>
</mat-expansion-panel>
